namespace Wizard;

public class GatheringGetInfoTask : BaseTask
{
	public class GatheringGetInfoTaskParam : BaseParam
	{
		public string gathering_id;
	}

	public GatheringInfo Info { get; private set; }

	public GatheringGetInfoTask()
	{
		base.type = ApiType.Type.GatheringGetInfo;
	}

	public void SetParameter(string id)
	{
		GatheringGetInfoTaskParam gatheringGetInfoTaskParam = new GatheringGetInfoTaskParam();
		gatheringGetInfoTaskParam.gathering_id = id;
		base.Params = gatheringGetInfoTaskParam;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		Info = new GatheringInfo(base.ResponseData["data"]);
		return num;
	}
}
